package com.eactive.eai.inbound.error;

import java.io.Serializable;

public class InboundErrorInfoVO implements Serializable {

	private String eaiSvcSno; // EAI서비스일련번호[TSEAICM04.EAISvcSerno]
	private String adptBwkGrpNm; // 어댑터업무그룹명[TSEAICM04.AdptrBzwkGroupName]
	private String errDstcd; // EAI에러구분코드[TSEAICM04.EAIErrDstcd]
	private String eaiSvcCd; // EAI서비스코드
	private String errCd; // EAI에러코드[TSEAICM04.EAIErrCd]
	private String errTxt; // EAI에러내용[TSEAICM04.EAIErrCtnt]
	private String errTm; // 에러발생시각[TSEAICM04.ErrOccurHMS]
	private String bwkDataTxt; // 업무데이터내용[TSEAICM04.BzwkDataCtnt]
	private String eaiSvrInstNm; // EAI서버인스턴스명[TSEAICM04.EAIsevrInstncName]
	private String bzwkSvcKeyName; // 업무서비스키명[TSEAICM04.BZWKSVCKEYNAME]

	public String getAdptBwkGrpNm() {
		return adptBwkGrpNm;
	}

	public void setAdptBwkGrpNm(String adptBwkGrpNm) {
		this.adptBwkGrpNm = adptBwkGrpNm;
	}

	public String getBwkDataTxt() {
		return bwkDataTxt;
	}

	public void setBwkDataTxt(String bwkDataTxt) {
		this.bwkDataTxt = bwkDataTxt;
	}

	public String getEaiSvcSno() {
		return eaiSvcSno;
	}

	public void setEaiSvcSno(String eaiSvcSno) {
		this.eaiSvcSno = eaiSvcSno;
	}

	public String getEaiSvrInstNm() {
		return eaiSvrInstNm;
	}

	public void setEaiSvrInstNm(String eaiSvrInstNm) {
		this.eaiSvrInstNm = eaiSvrInstNm;
	}

	public String getErrCd() {
		return errCd;
	}

	public void setErrCd(String errCd) {
		this.errCd = errCd;
	}

	public String getErrDstcd() {
		return errDstcd;
	}

	public void setErrDstcd(String errDstcd) {
		this.errDstcd = errDstcd;
	}

	public String getErrTm() {
		return errTm;
	}

	public void setErrTm(String errTm) {
		this.errTm = errTm;
	}

	public String getErrTxt() {
		return errTxt;
	}

	public void setErrTxt(String errTxt) {
		this.errTxt = errTxt;
	}

	public String getEaiSvcCd() {
		return eaiSvcCd;
	}

	public void setEaiSvcCd(String eaiSvcCd) {
		this.eaiSvcCd = eaiSvcCd;
	}

	public String getBzwkSvcKeyName() {
		return bzwkSvcKeyName;
	}

	public void setBzwkSvcKeyName(String bzwkSvcKeyName) {
		this.bzwkSvcKeyName = bzwkSvcKeyName;
	}

	@Override
	public String toString() {
		return "InboundErrorInfoVO [eaiSvcSno=" + eaiSvcSno + ", adptBwkGrpNm=" + adptBwkGrpNm + ", eaiSvcCd="
				+ eaiSvcCd + ", errCd=" + errCd + ", errTxt=" + errTxt + ", errTm=" + errTm + ", bwkDataTxt="
				+ bwkDataTxt + ", eaiSvrInstNm=" + eaiSvrInstNm + ", errDstcd=" + errDstcd + ", bzwkSvcKeyName="
				+ bzwkSvcKeyName + "]";
	}

}
